body {
  background-image: url("green-3.jpg");
  background-attachment: fixed;
  display: grid;
  justify-content: center;
}

main {
  display: grid;
  width: 1000px;
  grid-template-columns: repeat(4, 250px);
}

.image-cover {

  z-index: 2;
}

.image-cover img {width: 100%; min-height: 100%;}
.image-cover img:hover {opacity: 0%; transition-duration: 0.7s;}

.text-back {

  z-index: 1;
  background-color: saddlebrown;
  padding: 15px;
  & h4 {text-align: center; color: gold; font-family: 'Courier New';}
  & p {color: white;}
}

#g1 {Grid-Column: 1/2; Grid-Row: 1/2;}